%define upstream_name    Class-Sniff
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Look for class composition code smells
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise) >= 0.660.0
BuildRequires: perl(Devel::Symdump) >= 2.80.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(Graph::Easy) >= 0.640.0
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Sub::Identify) >= 0.30.0
BuildRequires: perl(Test::Most) >= 0.200.0
BuildRequires: perl(Text::SimpleTable) >= 0.50.0
BuildArch:  noarch

%description
*ALPHA* code. You've been warned.

The interface is rather ad-hoc at the moment and is likely to change. After
creating a new instance, calling the 'report' method is your best option.
You can then visually examine it to look for potential problems:

 my $sniff = Class::Sniff->new({class => 'Some::Class'});
 print $sniff->report;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
# don't run broken test
rm -f t/basic.t
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1023995
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 930022
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 751119
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 683940
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 634334
- update to 0.10

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 0.90.0-2.mga3
+ Revision: 405809
- don't run full test suite, one test is broken

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 16 2011 takashi <takashi> 0.90.0-1.mga2
+ Revision: 155490
- fixing spec file
- fixing the SPEC file
- update to 0.09

* Tue Jan 25 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 38471
- mageia rebuild
- imported package perl-Class-Sniff

